<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'ResourcesNextSteps',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>
<template>
  <SlpContainer class="slp-mt-96">
    <SlpRow class="slp-my-24">
      <SlpTypography tag="h2" variant="heading2-bold">{{
        data.title
      }}</SlpTypography>
    </SlpRow>
    <SlpRow class="cards">
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title"
        :cols="4"
        class="card"
      >
        <SlpCard200
          :background="true"
          :link="card.link"
          :avatar="{ url: card.image.url }"
          :data-ga-name="card.data_ga_name"
          :data-ga-location="card.data_ga_location"
        >
          <div class="slp-card200__slot--title">
            <SlpTypography variant="heading4">
              {{ card.title }}
            </SlpTypography>
          </div>
          <div class="slp-card200__slot--cta card__cta">
            <span>{{ card.cta }}</span
            ><SlpIcon variant="product" name="chevron-lg-right" />
          </div>
        </SlpCard200>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.cards {
  justify-content: space-between;

  .card {
    position: relative;
    min-height: 452px;
    max-width: 360px;

    @media (max-width: $breakpoint-lg) {
      min-width: 100%;
      padding-bottom: $spacing-16;
      min-height: fit-content;
    }

    &__cta {
      position: absolute;
      bottom: $spacing-32;
      font-size: 20px;

      @media (max-width: $breakpoint-lg) {
        position: relative;
        padding-top: $spacing-32 !important;
      }
    }

    .slp-card200 {
      height: 100%;

      @media (max-width: $breakpoint-lg) {
        min-width: 100%;
        padding-bottom: $spacing-8;
      }
    }
  }
}
</style>
